Subject: Re: bug#2172: ico bug on Windows

From: Chong Yidong <[email-masked]>
Date: Fri, 06 Feb 2009 10:56:27 -0500

David Robinow <[email-masked]> writes:

> I have created an icon that works, sort of. I used png2ico.exe (GPL)
> from http://www.winterdrache.de/freeware/png2ico/ It looked good
> enough on my XP system, but not so great on Vista compared to the
> original. Perhaps it can be included as an option for use with MSVC.
> After overwriting emacs.ico the compile works fine. (Of course, it's a
> simple matter to change the desktop shortcuts back to the original
> icon)

Jason, would it be possible for you to try changing the .ico file, along
the lines described by David, so that the MS compiler is happy with it?
Normally we should not go out of our way to accomodate MS Visual studio,
but this seems to be a moderately easy fix.

If you can't fix this and/or would prefer to drop support for MSVS
instead, could you please update nt/INSTALL and etc/PROBLEMS with the
information in this bug report?  Thanks.